QGIS Application - Bug report #1767
Table Manager & Diagram Overlay
2009-07-13 07:44 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 11827
Description

If I define a diagram overlay (properties -> diagram overlay) and then | change the table of attributes structure with the Table Manager
plugin, when "save" is clicked the diagram overlay disappear together with its definitions.

If the table is altered with "properties -> attributes" there is no problem.

Tested on qgis 1.2 from trunk under Ubuntu 9.04

History

#1 - 2009-07-13 09:23 AM - Borys Jurgiel
- Status changed from Open to In Progress

#2 - 2009-11-15 07:51 AM - Giovanni Manghi

Still true on the actual trunk version. More over it seems that under windows when clicking "save" to save some change in the table structure, the

operations always fails, forcing to use "save as" instead.

#3 - 2009-11-15 08:40 AM - Giovanni Manghi

It is normal that diagram overlays do stay on top of the map canvas, covering also other vector layers that are at a higher level in the legend?

#4 - 2010-06-17 12:26 PM - Borys Jurgiel

- Resolution set to wontfix
- Status changed from In Progress to Closed

Table manager is an external plugin. It doesn't modify the existing layer, it creates a new one and replaces it. It tries to preserve styles, but not labels nor
diagrams.
